## gsetroot 1.1

=== debian/changelog ===
gsetroot (1.1-3) unstable; urgency=low

  * QA upload.
    - Remove deprecated dpatch and upgrade to packaging format "3.0 quilt"
      (Closes: #667922).
    - Use hardened build flags
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags
  * debian/changelog
    - Clean up white space.
  * debian/compat
    - Update to 9.
  * debian/control
    - (Build-Depends): Update to 9.
    - (Description): Lintian fix description-synopsis-starts-with-article.
    - (Maintainer): Set to QA group.
    - (Homepage): Update to Freecode.
    - (Standards-Version): Update to to 3.9.4.
  * debian/copyright
    - Update to format 1.0.
  * debian/rules
    - Update to dh(1) format.
    - (KEEP_FILES): New. Save and restore files autoreconf modified files
      so that they do not show up in diff.
  * debian/patches
    - Restore files from original sources and refresh all patches.
    - Break changes into individual files for easier management.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 03 Mar 2013 11:23:57 +0200

gsetroot (1.1-2.2) unstable; urgency=low

  [Jari Aalto]
  * Non-maintainer upload.
  * debian/control
    - (Build-Depends): Change automake1.9 to automake. Add
      autopoint. Thanks to Ilya Barygin <barygin@gmail.com>.
  * debian/patches
    - (macro-dir): New file to fix libtool version mismatch.
      Patch thanks to Ilya Barygin <barygin@gmail.com>.
      (serious RC bug; Closes: #560568).
  * debian/rules
    - (config.status): Replace all automake calls with
      'autoreconf -vfi'. Thanks to Ilya Barygin <barygin@gmail.com>.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 13 Apr 2010 19:08:12 +0300

gsetroot (1.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update ltmain.sh, fix FTBFS. (Closes: #527754)

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 01 Nov 2009 18:01:48 +0100

gsetroot (1.1-2) unstable; urgency=low

  * Fixed when debian/watch fails to report upstream's version
    (Closes: #449834)
  * Updated with Standards-Version 3.7.3
  * Added the Homepage field inside the source stanza on debian/control
  * Added patch to a swedish PO translation (Closes: #349738)
  * Added the dependency with gettext package for locale translations works.
  * Added the dependency with dpatch package to apply the locale patch.
  * Fixed debian/rules file. Removed unnecessary code.
  * The make install DESTDIR= is called instead to use gsetroot dh_install
    script. For that also was deleted the debian/gsetroot.install file.
  * Cleaned the debian/copyright file with minor details.
  * Fixed the debian/menu file to point to the correct section.

 -- Anibal Avelar <aavelar@cofradia.org>  Sun, 10 Feb 2008 18:17:49 +0100

gsetroot (1.1-1) unstable; urgency=low

  * New maintainer (Closes: #387474)
  * New upstream version
  * Fixed a FTBFS bug: aclocal: macro `AM_PROG_MKDIR_P' required but not defined
  * Set debhelper compatibility to 5.
  * Added watch file.

 -- Anibal Avelar (Fixxxer) <aavelar@cofradia.org>  Sun, 05 Nov 2006 19:21:49 +0100

gsetroot (1.0-2) unstable; urgency=low

  * QA upload.
  * Set maintainer to QA Group; Orphaned: #387474
  * Fix Override disparity
  * Remove config.log on clean
  * Conforms with latest Standards Version 3.7.2

 -- Michael Ablassmeier <abi@debian.org>  Thu, 28 Sep 2006 09:50:13 +0200

gsetroot (1.0-1) unstable; urgency=low

  * Initial release (Closes: #311953).

 -- William Vera <billy@billy.com.mx>  Tue,  5 Jul 2005 21:55:03 -0500
