=== debian/control ===
Source: gsetroot
Section: x11
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), automake, autoconf, libtool, autotools-dev, pkg-config, libgtk2.0-dev, gettext (>= 0.15), autopoint
Homepage: http://freecode.com/projects/gsetroot
Standards-Version: 3.9.4

Package: gsetroot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, eterm
Description: grahical GTK-based front-end for Esetroot
 It can be used to choose a wallpaper and configure root window. 
 It works under Window Managers like FluxBox, Enlightenment, WindowMaker
 NextStep, BlackBox, IceWM and others...
 This software is under the GPL license.
